Package com.xebialabs.xlrelease.variable

# Class VariableFactory$

java.lang.Object
com.xebialabs.xlrelease.variable.VariableFactory$

public class VariableFactory$ extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final VariableFactory$`
  `MODULE$`
  Static reference to the singleton instance of this Scala object.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VariableFactory$()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `scala.Option<Variable>`
  `createVariableByPropertyDescriptor(PropertyDescriptor propertyDescriptor)`
  `scala.Option<Variable>`
  `createVariableByReference(VariableReference variableReference, VariableReferenceContext context)`
  `VariableReferenceContext`
  `createVariableByReference$default$2()`
  `Variable`
  `createVariableByValueType(String key, Object value, boolean isPassword, boolean isGlobalOrFolder)`
  `List<Variable>`
  `variableReferencesToVariables(List<VariableReference> variables, VariableReferenceContext context)`
  `VariableReferenceContext`
  `variableReferencesToVariables$default$2()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### MODULE$

    public static final VariableFactory$ MODULE$
    Static reference to the singleton instance of this Scala object.

- ## Constructor Details

  - ### VariableFactory$

    public VariableFactory$()

- ## Method Details

  - ### createVariableByValueType

    public Variable createVariableByValueType(String key, Object value, boolean isPassword, boolean isGlobalOrFolder)

  - ### createVariableByReference

    public scala.Option<Variable> createVariableByReference(VariableReference variableReference, VariableReferenceContext context)

  - ### createVariableByReference$default$2

    public VariableReferenceContext createVariableByReference$default$2()

  - ### createVariableByPropertyDescriptor

    public scala.Option<Variable> createVariableByPropertyDescriptor(PropertyDescriptor propertyDescriptor)

  - ### variableReferencesToVariables

    public List<Variable> variableReferencesToVariables(List<VariableReference> variables, VariableReferenceContext context)

  - ### variableReferencesToVariables$default$2

    public VariableReferenceContext variableReferencesToVariables$default$2()